Name:           perl-Mojolicious
Version:        2.85
Release:        1%{?dist}
Summary:        A next generation web framework for Perl
License:        Artistic 2.0
Group:          Development/Libraries
URL:            http://mojolicious.org/
Source0:        http://search.cpan.org/CPAN/authors/id/S/SR/SRI/Mojolicious-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl >= 0:5.008007
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Test::Builder)
BuildRequires:  perl(Test::Harness)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Back in the early days of the web there was this wonderful Perl library
called CGI, many people only learned Perl because of it. It was simple
enough to get started without knowing much about the language and powerful
enough to keep you going, learning by doing was much fun. While most of the
techniques used are outdated now, the idea behind it is not. Mojolicious is
a new attempt at implementing this idea using state of the art technology.

%prep
%setup -q -n Mojolicious-%{version}
mv README.pod lib/Mojolicious/

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE examples
%{_bindir}/mojo
%{_bindir}/hypnotoad
%{_bindir}/morbo
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Sat Apr 21 2012 Yanko Kaneti <yaneti@declera.com> - 2.85-1
- Update to 2.85

* Sat Mar 31 2012 Yanko Kaneti <yaneti@declera.com> - 2.70-1
- Update to 2.70

* Wed Mar 28 2012 Yanko Kaneti <yaneti@declera.com> - 2.69-1
- Update to 2.69

* Fri Mar  2 2012 Yanko Kaneti <yaneti@declera.com> - 2.56-1
- Update to 2.56

* Mon Feb 20 2012 Yanko Kaneti <yaneti@declera.com> - 2.51-1
- Update to 2.51

* Tue Feb 14 2012 Yanko Kaneti <yaneti@declera.com> - 2.49-1
- Update to 2.49

* Wed Jan 25 2012 Robin Lee <cheeselee@fedoraproject.org> - 2.45-1
- Update to 2.45

* Wed Jan 18 2012 Yanko Kaneti <yaneti@declera.com> - 2.44-1
- Update to 2.44

* Wed Jan 11 2012 Yanko Kaneti <yaneti@declera.com> - 2.43-1
- Update to 2.43

* Tue Jan  3 2012 Yanko Kaneti <yaneti@declera.com> - 2.42-1
- Update to 2.42

* Mon Dec 30 2011 Yanko Kaneti <yaneti@declera.com> - 2.41-1
- Update to 2.41

* Mon Dec 26 2011 Yanko Kaneti <yaneti@declera.com> - 2.40-1
- Update to 2.40

* Thu Dec 22 2011 Yanko Kaneti <yaneti@declera.com> - 2.39-1
- Update to 2.39

* Mon Dec 19 2011 Yanko Kaneti <yaneti@declera.com> - 2.38-1
- Update to 2.38. Add Digest::MD5 dep.

* Sun Oct  2 2011 Tom Callaway <spot@fedoraproject.org> - 1.99-1
- update to 1.99

* Thu Sep 15 2011 Yanko Kaneti <yaneti@declera.com> - 1.98-1
- Upstream update 1.98

* Fri Aug 26 2011 Robin Lee <cheeselee@fedoraproject.org> - 1.92-1
- Upstream update 1.92

* Tue Jul 26 2011 Yanko Kaneti <yaneti@declera.com> - 1.65-1
- Upstream update 1.65

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 1.46-3
- Perl mass rebuild

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 1.46-2
- Perl mass rebuild

* Tue Jun 21 2011 Robin Lee <cheeselee@fedoraproject.org> - 1.46-1
- Upstream update 1.46

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.43-2
- Perl mass rebuild

* Mon Jun 13 2011 Yanko Kaneti <yaneti@declera.com> 1.43-1
- Upstream update 1.43.

* Fri Jun 10 2011 Yanko Kaneti <yaneti@declera.com> 1.42-1
- Upstream update 1.42.

* Fri Jun  3 2011 Yanko Kaneti <yaneti@declera.com> 1.41-1
- Latest from upstream - 1.41.

* Wed May 25 2011 Yanko Kaneti <yaneti@declera.com> 1.34-1
- Upstream update 1.34.

* Sat May 21 2011 Yanko Kaneti <yaneti@declera.com> 1.33-1
- Upstream update 1.33.

* Wed May 11 2011 Yanko Kaneti <yaneti@declera.com> 1.32-1
- Upstream update 1.32.

* Tue May 10 2011 Yanko Kaneti <yaneti@declera.com> 1.31-1
- Upstream update 1.31.

* Tue May  3 2011 Yanko Kaneti <yaneti@declera.com> 1.22-1
- Upstream update 1.22.

* Sat Apr 17 2011 Yanko Kaneti <yaneti@declera.com> 1.16-1
- Security bugfix 1.16.

* Sat Mar 19 2011 Yanko Kaneti <yaneti@declera.com> 1.15-1
- Serious bugfix... 1.15.

* Fri Mar 18 2011 Yanko Kaneti <yaneti@declera.com> 1.14-1
- New bugfix release from upstream 1.14.

* Mon Mar 14 2011 Yanko Kaneti <yaneti@declera.com> 1.13-1
- Update to latest upstream 1.13.

* Tue Feb 22 2011 Yanko Kaneti <yaneti@declera.com> 1.11-1
- Update to latest upstream 1.11.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.01-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 27 2010 Yanko Kaneti <yaneti@declera.com> 1.0-1
- Update to latest upstream 1.0.

* Mon Dec  6 2010 Yanko Kaneti <yaneti@declera.com> 0.999950-1
- Update to latest upstream 0.999950.
  New included experimental web server - hypnotoad.

* Mon Nov 22 2010 Yanko Kaneti <yaneti@declera.com> 0.999941-1
- Latest upstream release.

* Thu Nov 16 2010 Yanko Kaneti <yaneti@declera.com> 0.999940-1
- New upstream release. Turns off IPv6 support. Bugfixes.

* Thu Nov 10 2010 Yanko Kaneti <yaneti@declera.com> 0.999938-1
- New upstream release. MojoX is gone.

* Thu Nov  5 2010 Yanko Kaneti <yaneti@declera.com> 0.999936-1
- New upstream bugfix release.

* Thu Nov  4 2010 Yanko Kaneti <yaneti@declera.com> 0.999935-1
- Latest upstream release.
  http://search.cpan.org/src/KRAIH/Mojolicious-0.999935/Changes

* Mon Aug 20 2010 Yanko Kaneti <yaneti@declera.com> 0.999929-1
- Latest upstream release.
  http://search.cpan.org/src/KRAIH/Mojolicious-0.999929/Changes

* Mon Aug 16 2010 Yanko Kaneti <yaneti@declera.com> 0.999927-1
- Latest upstream release.
  http://search.cpan.org/src/KRAIH/Mojolicious-0.999927/Changes

* Tue Jun 22 2010 Petr Pisar <ppisar@redhat.com> 0.999926-2
- Rebuild against perl-5.12

* Fri Jun 16 2010 Yanko Kaneti <yaneti@declera.com> 0.999926-1
- Latest upstream release.
  http://search.cpan.org/src/KRAIH/Mojolicious-0.999926/Changes

* Fri Jun 11 2010 Yanko Kaneti <yaneti@declera.com> 0.999925-3
- Actually include the examples.

* Fri Jun 11 2010 Yanko Kaneti <yaneti@declera.com> 0.999925-2
- Initial import. Include examples as doc.

* Tue Jun 08 2010 Yanko Kaneti <yaneti@declera.com> 0.999925-1
- Specfile mostly autogenerated by cpanspec 1.78.
